Bug 182184 - [maintainer][patch] Upgrade port games/xtrojka to 1.2.3
Summary: [maintainer][patch] Upgrade port games/xtrojka to 1.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-17 11:20 UTC by Edwin Mons
Modified: 2013-11-07 12:50 UTC (History)
0 users

See Also:


Attachments
xtrojka.patch (8.42 KB, patch)
2013-09-17 11:20 UTC, Edwin Mons
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Edwin Mons 2013-09-17 11:20:00 UTC
	Update port games/xtrojka to version 1.2.3.

	This also makes the port buildable with clang, as desirable for 
	FreeBSD 10.0.
Comment 1 Edwin Groothuis freebsd_committer 2013-09-17 11:20:09 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-17 11:20:10 UTC
Maintainer of games/xtrojka,

Please note that PR ports/182184 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182184

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-09-17 11:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 e 2013-09-17 11:21:09 UTC
On 17-09-13 12:20, Edwin Groothuis wrote:
> Maintainer of games/xtrojka,
>
> Please note that PR ports/182184 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182184
>

I agree, as I was the one submitting it.

Cheers,
Edwin
Comment 5 e 2013-10-17 14:12:39 UTC
On 17-09-13 11:20, Edwin Groothuis wrote:
> Maintainer of games/xtrojka,
>
> Please note that PR ports/182184 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>

I approve the patch (last mail might've been worded in an ambiguous way)

Edwin
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2013-10-18 04:02:44 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 7 Bryan Drewery freebsd_committer 2013-11-07 11:18:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 8 Bryan Drewery freebsd_committer 2013-11-07 12:45:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 9 dfilter service freebsd_committer 2013-11-07 12:46:02 UTC
Author: bdrewery
Date: Thu Nov  7 12:45:47 2013
New Revision: 333085
URL: http://svnweb.freebsd.org/changeset/ports/333085

Log:
  - Update to 1.2.3
  - Support staging
  - Fix build on 10
  
  PR:		ports/182184
  Submitted by:	Edwin Mons <ports@edwinm.ik.nu> (maintainer)

Added:
  head/games/xtrojka/files/old-patch-Makefile   (contents, props changed)
  head/games/xtrojka/files/patch-Makefile   (contents, props changed)
  head/games/xtrojka/files/patch-resgen   (contents, props changed)
Deleted:
  head/games/xtrojka/files/patch-aa
Modified:
  head/games/xtrojka/Makefile
  head/games/xtrojka/distinfo
  head/games/xtrojka/pkg-plist

Modified: head/games/xtrojka/Makefile
==============================================================================
--- head/games/xtrojka/Makefile	Thu Nov  7 12:33:09 2013	(r333084)
+++ head/games/xtrojka/Makefile	Thu Nov  7 12:45:47 2013	(r333085)
@@ -1,26 +1,24 @@
-# Created by: Edwin Mons
 # $FreeBSD$
 
 PORTNAME=	xtrojka
-PORTVERSION=	1.1
-PORTREVISION=	3
+PORTVERSION=	1.2.3
 CATEGORIES=	games
-MASTER_SITES=	ftp://ftp.funet.fi/pub/unix/games/
-DISTNAME=	${PORTNAME}
+MASTER_SITES=	${MASTER_SITE_SUNSITE}
+MASTER_SITE_SUBDIR=	games/arcade/tetris
+DISTNAME=	${PORTNAME}${PORTVERSION:C/\.//g}
 
-MAINTAINER=	e@ik.nu
+MAINTAINER=	ports@edwinm.ik.nu
 COMMENT=	Game of skill similar to T*tris
 
-USE_XORG=	x11 xt xproto xaw
-WRKSRC=		${WRKDIR}
-MAN6=		xtrojka.6
-MANCOMPRESSED=	yes
+USE_XORG=	x11 xt xproto xaw xmu xext
+MAKE_JOBS_UNSAFE=	yes
+WRKSRC=		${WRKDIR}/${DISTNAME}
+MAKE_ARGS=	PREFIX=${STAGEDIR}${PREFIX}
 
-NO_STAGE=	yes
 pre-install:
-	${MKDIR} ${PREFIX}/share/xtrojka
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/xtrojka
 
 post-install:
-	${STRIP_CMD} ${PREFIX}/bin/xtrojka
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/xtrojka
 
 .include <bsd.port.mk>

Modified: head/games/xtrojka/distinfo
==============================================================================
--- head/games/xtrojka/distinfo	Thu Nov  7 12:33:09 2013	(r333084)
+++ head/games/xtrojka/distinfo	Thu Nov  7 12:45:47 2013	(r333085)
@@ -1,2 +1,2 @@
-SHA256 (xtrojka.tar.gz) = a94d3b2b1920a4b542ac6e4bc9f39de855a81991304015267975da1753550e93
-SIZE (xtrojka.tar.gz) = 27021
+SHA256 (xtrojka123.tar.gz) = dae9cb2094914060f00d6cb15842cd7ecd71a78347bf12b2e7539e9ba8d89932
+SIZE (xtrojka123.tar.gz) = 49446

Added: head/games/xtrojka/files/old-patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xtrojka/files/old-patch-Makefile	Thu Nov  7 12:45:47 2013	(r333085)
@@ -0,0 +1,83 @@
+--- Makefile.orig	Sat Oct 21 22:38:22 1995
++++ Makefile	Wed Jul 12 08:50:34 2000
+@@ -8,7 +8,7 @@
+ 
+ #	your favorite C-compiler
+ #
+-CC=gcc
++CC?=gcc
+ #CC=cc
+ 
+ 
+@@ -22,13 +22,13 @@
+ #	Touch 'hiscore.c' and 'score_status_mgr.c' when you change
+ #	these variables!
+ #
+-HSFILE=/usr/local/games/lib/xtrojka.scores
++HSFILE=${PREFIX}/share/xtrojka/xtrojka.scores
+ #HSFILE=/tmp/xtrojka.scores
+ CFLAGS= -DSCOREFILE='"$(HSFILE)"' 
+ 
+ # add library search path
+ #
+-CFLAGS+=-L/usr/X11/lib
++CFLAGS+=-L${LOCALBASE}/lib
+ 
+ # on some systems you might add this line, because gcc starts wining
+ # about 'sizeof(Display)', since Display might be an empty struct;
+@@ -42,24 +42,28 @@
+ 
+ #	location of xtrojka game
+ #
+-TARGET_DIR=/usr/games
++TARGET_DIR=${PREFIX}/bin
+ 
+ 
+ #	location of the manualpage
+ #
+-MANDIR=/usr/local/man/man6
++MANDIR=${PREFIX}/man/man6
+ 
+ 
+ #	please comment out for the system you use
+ #
+ #	sunos 4.1.3
+-XDIR=/usr/openwin/include
+-LIBS=-lm
++#XDIR=/usr/openwin/include
++#LIBS=-lm
+ 
+ # solaris
+ #XDIR=/usr/openwin/include
+ #LIBS=-lnsl
+ 
++# FreeBSD
++XDIR=${LOCALBASE}/include
++LIBS=-lm
++
+ #
+ #
+ #	main
+@@ -101,11 +105,17 @@
+ #
+ #
+ install:
+-	@echo $(HSFILE)|sed -e 's/\//\\\//g'>/tmp/hsn; \
+-	sed -e "s/__SCOREDIR__/`cat /tmp/hsn`/g" manpage > xtrojka.6; \
+-	cp xtrojka.6 $(MANDIR); chmod go+r xtrojka.6; \
+-	cp xtrojka $(TARGET_DIR);chmod go+rx xtrojka; \
+-	touch $(HSFILE); chmod go+rwx $(HSFILE);
++	@rm -f hsn
++	echo $(HSFILE)|sed -e 's/\//\\\//g'>hsn
++	sed -e "s/__SCOREDIR__/`cat hsn`/g" manpage > xtrojka.6
++	gzip -c xtrojka.6 >$(MANDIR)/xtrojka.6.gz
++	cp xtrojka $(TARGET_DIR)
++	chmod 2755 $(TARGET_DIR)/xtrojka
++	chgrp games $(TARGET_DIR)/xtrojka
++	touch $(HSFILE)
++	chmod 664 $(HSFILE)
++	chgrp games $(HSFILE)
++	@rm -f hsn
+ 	
+ clean:
+ 	rm -rf *.o core xtrojka xtrojka.6 

Added: head/games/xtrojka/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xtrojka/files/patch-Makefile	Thu Nov  7 12:45:47 2013	(r333085)
@@ -0,0 +1,78 @@
+--- Makefile.orig	1996-07-27 20:05:03.000000000 +0200
++++ Makefile	2013-09-12 11:55:14.000000000 +0200
+@@ -10,15 +10,15 @@
+ #					xtrojka version (do not change!)
+ VERSION=123
+ #					where to put the binary
+-TARGET_DIR=/usr/games
++TARGET_DIR=${PREFIX}/bin
+ #					where to put the manpage
+-MANDIR=/usr/local/man/man6
++MANDIR=${PREFIX}/man/man6
+ #					the location of the highscorefile
+-HSFILE=/fill_in_your_scorefile
++HSFILE=${PREFIX}/share/xtrojka/xtrojka.scores
+ #					your favourite packer
+ COMPRESS=gzip -v9
+ #					your favourite c-compiler
+-CC=gcc
++CC?=gcc
+ #					used X libraries
+ XLIBS= -lXaw -lXmu -lXt -lX11 -lXext
+ #					some more X libraries
+@@ -48,7 +48,7 @@
+ #	comment out your favorite system (the one you use, that is...)
+ #
+ #					search the libaries here
+-LIBPATH=-L/usr/X11/lib
++LIBPATH=-L${LOCALBASE}/lib
+ #					doesn't work too well on all systems
+ #LCK=-DLOCKING
+ #					add debug info
+@@ -75,7 +75,13 @@
+ #
+ # Linux
+ #
+-SYS=-DLINUX
++#SYS=-DLINUX
++
++#
++# FreeBSD
++#
++XDIR=-I${LOCALBASE}/include
++LIBS=-lm
+ 
+ #
+ #
+@@ -105,11 +111,17 @@
+ 	rm -rf xtrojka$(VERSION);
+ 
+ install:
+-	@echo $(HSFILE)|sed -e 's/\//\\\//g'>/tmp/hsn; \
+-	sed -e "s/__SCOREDIR__/`cat /tmp/hsn`/g" xtrojka.man > xtrojka.6; \
+-	cp xtrojka.6 $(MANDIR); chmod go+r xtrojka.6; \
+-	cp xtrojka $(TARGET_DIR);chmod go+rx xtrojka; \
+-	touch $(HSFILE); chmod go+rwx $(HSFILE);
++	@rm -f hsn
++	echo $(HSFILE)|sed -e 's/\//\\\//g'>hsn
++	sed -e "s/__SCOREDIR__/`cat hsn`/g" xtrojka.man > xtrojka.6
++	gzip -c xtrojka.6 >$(MANDIR)/xtrojka.6.gz
++	cp xtrojka $(TARGET_DIR)
++	chmod 2755 $(TARGET_DIR)/xtrojka
++	chgrp games $(TARGET_DIR)/xtrojka
++	touch $(HSFILE)
++	chmod 664 $(HSFILE)
++	chgrp games $(HSFILE)
++	@rm -f hsn
+ 	
+ clean:
+ 	rm -rf tags *.o core xtrojka xtrojka.6 
+@@ -119,7 +131,7 @@
+ #	DEPENDENCIES
+ #
+ 
+-_strdefs.h _resdefs.h:	XTrojka 
++_strdefs.h _resdefs.h:	XTrojka.uk
+ 	$(RESGEN)
+ 
+ actions.o: actions.c actions.h xtrojka.h debug.h

Added: head/games/xtrojka/files/patch-resgen
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xtrojka/files/patch-resgen	Thu Nov  7 12:45:47 2013	(r333085)
@@ -0,0 +1,12 @@
+--- resgen.orig	2013-09-12 11:56:10.000000000 +0200
++++ resgen	2013-09-12 11:56:20.000000000 +0200
+@@ -16,7 +16,8 @@
+ #	These files will be included
+ #	in the source code as a fall-back resource.
+ #
+-INPUT=XTrojka
++set -x
++INPUT=XTrojka.uk
+ RESFILE=_resdefs.h
+ HFILE=_strdefs.h
+ H="/* hoi */"

Modified: head/games/xtrojka/pkg-plist
==============================================================================
--- head/games/xtrojka/pkg-plist	Thu Nov  7 12:33:09 2013	(r333084)
+++ head/games/xtrojka/pkg-plist	Thu Nov  7 12:45:47 2013	(r333085)
@@ -1,3 +1,4 @@
 bin/xtrojka
 share/xtrojka/xtrojka.scores
+man/man6/xtrojka.6.gz
 @dirrm share/xtrojka
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"